> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an application's settings

> Update an application's payout and refill settings.



## OpenAPI

````yaml /v2.yaml post /v2/apps/{app_id}/change_settings
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/apps/{app_id}/change_settings:
    parameters:
      - schema:
          type: string
          format: UUID
        name: app_id
        in: path
        required: true
        description: ID of the app to update.
    post:
      tags:
        - apps
      summary: Update an application's settings
      description: Update an application's payout and refill settings.
      operationId: post-app-change-settings
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                payout_options_exclude_list:
                  type: array
                  items:
                    type: string
                  description: List of payout options to exclude
                auto_refill_active:
                  type: boolean
                  description: Enable or disable auto refill
                refill_amount:
                  type: integer
                  minimum: 1000
                  maximum: 1000000
                  description: Amount to refill when the threshold is reached
                refill_threshold:
                  type: integer
                  minimum: 1000
                  maximum: 1000000
                  description: Threshold for triggering a refill
      responses:
        '200':
          description: Successfully updated settings
          content:
            application/json:
              schema:
                type: object
                properties:
                  payout_options_exclude_list:
                    type: array
                    items:
                      type: string
                  auto_refill_active:
                    type: boolean
                  refill_amount:
                    type: integer
                  refill_threshold:
                    type: integer
components:
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````